devel/p5-Eval-Closure - The NetBSD Packages Collection

Safely and cleanly create closures via string eval

String eval is often used for dynamic code generation. For instance,
Moose uses it heavily, to generate inlined versions of accessors
and constructors, which speeds code up at runtime by a significant
amount. String eval is not without its issues however - it's
difficult to control the scope it's used in (which determines which
variables are in scope inside the eval), and it can be quite slow,
especially if doing a large number of evals.

This module attempts to solve both of those problems. It provides
an eval_closure function, which evals a string in a clean environment,
other than a fixed list of specified variables. It also caches the
result of the eval, so that doing repeated evals of the same source,
even with a different environment, will be much faster (but note
that the description is part of the string to be evaled, so it must
also be the same (or non-existent) if caching is to work properly).

Build dependencies

devel/p5-Test-Fatal devel/p5-Test-Requires devel/p5-Devel-LexAlias pkgtools/cwrappers

Runtime dependencies

devel/p5-Sub-Exporter devel/p5-Try-Tiny lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0i386p5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0i386p5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0i386p5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0powerpcp5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0powerpcp5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0powerpcp5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 8.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0aarch64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0aarch64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0aarch64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0alphap5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0alphap5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0alphap5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv6hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv6hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv6hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv6hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0earmv7hfp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0i386p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0i386p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0i386p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0m68kp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0m68kp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0mips64ebp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0mips64ebp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0mips64ebp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0mipselp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0mipselp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0powerpcp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0powerpcp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sh3elp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sh3elp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sh3elp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sparc64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sparc64p5-Eval-Closure-0.14nb4.tgz
NetBSD 9.0sparc64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sparc64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sparcp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sparcp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0sparcp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0vaxp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0vaxp5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz
NetBSD 9.0x86_64p5-Eval-Closure-0.14nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.